Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::GIOPProtocolProperties Interface Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::GIOPProtocolProperties:

[legend]
Collaboration diagram for RTCORBA::GIOPProtocolProperties:

[legend]
List of all members.

## Public Types
typedef GIOPProtocolProperties_ptr | _ptr_type
typedef GIOPProtocolProperties_var | _var_type
## Public Methods
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
GIOPProtocolProperties_ptr | _duplicate (GIOPProtocolProperties_ptr obj)
GIOPProtocolProperties_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
GIOPProtocolProperties_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
GIOPProtocolProperties_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| GIOPProtocolProperties (void)
virtual | ~GIOPProtocolProperties (void)
## Private Methods
| GIOPProtocolProperties (const GIOPProtocolProperties &)
void | operator= (const GIOPProtocolProperties &)

## Member Typedef Documentation

typedef GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_ptr_type

| Reimplemented from RTCORBA::ProtocolProperties.

typedef GIOPProtocolProperties_var RTCORBA::GIOPProtocolProperties::_var_type

| Reimplemented from RTCORBA::ProtocolProperties.

## Constructor & Destructor Documentation

RTCORBA::GIOPProtocolProperties::GIOPProtocolProperties | ( | void |  | ) | `[protected]`

virtual RTCORBA::GIOPProtocolProperties::~GIOPProtocolProperties | ( | void |  | ) | `[protected, virtual]`

RTCORBA::GIOPProtocolProperties::GIOPProtocolProperties | ( | const GIOPProtocolProperties & |  | ) | `[private]`

## Member Function Documentation

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_duplicate | ( | GIOPProtocolProperties_ptr | obj | ) | `[static]`

virtual const char* RTCORBA::GIOPProtocolProperties::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual void* RTCORBA::GIOPProtocolProperties::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

GIOPProtocolProperties_ptr RTCORBA::GIOPProtocolProperties::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

void RTCORBA::GIOPProtocolProperties::operator= | ( | const GIOPProtocolProperties & |  | ) | `[private]`

## Member Data Documentation

int RTCORBA::GIOPProtocolProperties::_tao_class_id`[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

The documentation for this interface was generated from the following files:

- RTCORBA.pidl
- RTCORBAC.h